package com.loafle.overflow.email.dao;

import com.loafle.overflow.email.model.EmailAuth;
import com.loafle.overflow.member.model.Member;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 6.
 */
public class JPAEmailAuthDAOTest {

    private JPAEmailAuthDAO emailAuthDAO = null;

    @Before
    public void before() {

        this.emailAuthDAO = new JPAEmailAuthDAO();
    }

    @Test
    public void createEmailAuth() {
        EmailAuth auth = new EmailAuth();

        auth.setAuthToken("loafle.com/Auth");
        auth.setMember(new Member((long)1));
        auth.setInvalid(false);

        this.emailAuthDAO.create(auth);
    }
}